Bug 36800 - LocationInfo not valid for TRACE level calls using new Logger methods
LocationInfo not valid for TRACE level calls using new Logger methods
Product: Log4j
Classification: Unclassified
Component: Layout
Other other
: P2 normal
: ---
Assigned To: log4j-dev
Depends on:
  Show dependency tree
Reported: 2005-09-24 19:55 UTC by Andy
Modified: 2005-10-21 19:48 UTC (History)
0 users

Patch to fix the problem (409 bytes, patch)
2005-09-24 19:56 UTC, Andy
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andy 2005-09-24 19:55:27 UTC
Caller location info is not being extracted correctly for calls using the new 
trace level methods provided by Logger.  

Using %C, %M etc in a PatternLayout results in '?' being printed instead of the 
proper values.  

The cause is the incorrect classname assigned to the FQCN property in 

The problem does not exist in the 1.3 codebase.

Tested using log4j 1.2.12 on Windows XP with jdk1.5
Comment 1 Andy 2005-09-24 19:56:46 UTC
Created attachment 16518 [details]
Patch to fix the problem
Comment 2 Mark Womack 2005-10-06 18:24:24 UTC
1.2.13 candiadate
Comment 3 Mark Womack 2005-10-20 07:58:09 UTC
Applied patch and expanded test cases to better test TRACE usage.  Revision 
321020 on v1_2-branch.
Comment 4 Mark Womack 2005-10-20 07:58:32 UTC
Fix is in the 1.2.13rc1 build which can be located at 
http://cvs.apache.org/builds/logging/log4j/log4j-1.2.13rc1/.  Please check the 
build and let us know if it is now fixed for you.  Thanks.
Comment 5 Andy 2005-10-21 21:04:23 UTC
I tested the 1.2.13rc1 build and the LocationInfo now looks good for all 
levels, thanks.
Comment 6 Mark Womack 2005-10-22 03:48:49 UTC
Reporter has verified fix (thanks!).  Closing.